%define upstream_name    XSLoader
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
BuildArch:	noarch

Summary:    Dynamically load C libraries into Perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-devel
%description
This module defines a standard simplified interface to the dynamic
linking mechanisms available on many platforms. Its primary purpose is
to implement cheap automatic dynamic loading of Perl modules.

For a more complicated interface, see DynaLoader. Many (most) features
of DynaLoader are not implemented in XSLoader, like for example the
dl_load_flags, not honored by XSLoader.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.240.0-4.mga9
+ Revision: 1806781
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.240.0-3.mga8
+ Revision: 1498876
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 tv <tv> 0.240.0-2.mga7
+ Revision: 1273211
- drop merged patch
- fix filelist
- new release
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu Jul 07 2016 luigiwalser <luigiwalser> 0.160.0-14.mga6
+ Revision: 1039425
- rediff upstream patch to fix XSLoader loading library from directory not in INC

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-13.mga6
+ Revision: 1036176
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.160.0-12.mga6
+ Revision: 971502
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.160.0-11.mga6
+ Revision: 891775
- make it noarch thus fixing empty debuginfo

* Thu Jun 25 2015 tv <tv> 0.160.0-10.mga6
+ Revision: 843567
- rebuild with soname-ified perl

* Tue Jun 23 2015 tv <tv> 0.160.0-9.mga6
+ Revision: 841250
- rebuild for perl-5.22
+ sander85 <sander85>
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-7.mga5
+ Revision: 743714
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-6.mga5
+ Revision: 686985
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.160.0-5.mga5
+ Revision: 631889
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-4.mga4
+ Revision: 524571
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.160.0-3.mga4
+ Revision: 431016
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 375271
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 287901
- update to 0.16
- rebuild for perl 5.16

* Sun Nov 06 2011 jquelin <jquelin> 0.150.0-4.mga2
+ Revision: 164274
- override perl 5.14.2 builtin

* Sat Nov 05 2011 jquelin <jquelin> 0.150.0-3.mga2
+ Revision: 163205
- override perl 5.14.2 bundle

* Fri Nov 04 2011 jquelin <jquelin> 0.150.0-2.mga2
+ Revision: 162845
- take priority over module bundled with perl 5.14.2

* Fri Oct 14 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 155048
- update to 0.15
- imported package perl-XSLoader

